package de.hszg;

import lejos.nxt.Button;
import lejos.nxt.Motor;
import lejos.nxt.SensorPort;
import lejos.nxt.addon.GyroSensor;

public class Schaukel {

	/**
	 * Beim Start bewegt sich der Motor in eine Richtung und verharrt dort.
	 * Sobald man die Schaukel berhrt, beginnt das Schaukeln durch kontinuierliche Motorbewegung.
	 * Programmende mit ESC Taste
	 * S1 -> Gyro nach unten angebracht
	 * A -> Motor
	 */
	
	public static void main(String[] args) {
		GyroSensor gyro = new GyroSensor(SensorPort.S1);
		gyro.recalibrateOffset();
		
		boolean running = true;
		int value;
		float speed = 600;
		while(running){
			
			value = gyro.readValue()-600;
			System.out.println(value+ " ");
			
			if(value > 0){
				Motor.A.setSpeed(speed);
				Motor.A.rotateTo(70);
			}
			
			if(value < 0){
				Motor.A.setSpeed(speed);
				Motor.A.rotateTo(-70);	
			}
			
			if(Button.ESCAPE.isDown())running = false;
		}
	}

}