package de.hszg;

import lejos.nxt.Button;
import lejos.nxt.LCD;
import lejos.nxt.Motor;
import lejos.nxt.SensorPort;
import lejos.nxt.addon.GyroSensor;

public class Schaukel_2 {
	
	GyroSensor gs = new GyroSensor(SensorPort.S1);
	private int prevValue = 0;

	/**
	 * Beim Start beginnt das Schaukeln durch kontinuierliche Motorbewegung.
	 * Programmende mit ESC-Taste.
	 * S1 -> Gyro nach unten angebracht
	 * A -> Motor
	 */
	
	public static void main(String[] args) {
	
		// TODO Auto-generated method stub
		
		LCD.drawString("NXT-Schaukel", 0, 0);
		new Schaukel_2();
	}
	private Schaukel_2() {
		int maxspeed = 0;
		gs.recalibrateOffset();
		Motor.C.rotateTo(45, false);
		while (Button.readButtons() != Button.ID_ESCAPE) {
			int value = (int) gs.getAngularVelocity();
			System.out.println(value);
			if (Math.abs(value) > maxspeed)
				maxspeed = Math.abs(value);
			if (value <= 5 && value >= -5) {
				if (prevValue < value) {
					Motor.A.rotateTo(80, false);
				} else {
					Motor.A.rotateTo(-80, false);
				}
				maxspeed = 0;
			}
			try {
				if (maxspeed > 50) {
					Thread.sleep(10);
					Thread.sleep(gs.readValue()/2);
				} else {
					Thread.sleep(30);
				}
			} catch (InterruptedException e) {
			}
			prevValue = value;
		}
	}

}